# -*- encoding:utf-8 -*-

from django.conf.urls import include, url

from django.conf import settings as appSettings

from . import views, people, news, stats

app_name = "nalodeni"
urlpatterns = [
    # Examples:
    url(r'^$', views.about, name="about"),
    #url(r'^co-je-nalodeni$', views.about, name="about"),
    url(r'^jdu-do-toho/$', views.join_pirates, name="join_pirates"),
    url(r'^sledovat-piraty/$', views.follow_pirates, name="follow_pirates"),
    url(r'^prihlaseni/$', views.prihlaseni, name="prihlaseni"),

    url(r'^eurovolby-2019/$', views.page_eurovolby_2019, name="page_eurovolby_2019"),
    url(r'^eurovolby-2019/ok/$', views.page_eurovolby_2019, name="page_eurovolby_2019_ok",
            kwargs={'reg_ok':True}),

    url(r'^paluby/$', views.paluby, name="paluby"),
    url(r'^posadky/$', views.posadky, name="posadky"),
    url(r'^ja-pirat/$', views.ja_pirat, name="ja_pirat"),
    url(r'^ja-pirat/profil/$', views.profil, name="profil"),
    url(r'^ja-pirat/dovednosti/$', views.dotaznik, name="dotaznik"),
    url(r'^ja-pirat/dovednosti2/$', views.dotaznik2, name="dotaznik2"),
    url(r'^nastaveni-newsletteru/$', views.dotaznik_follow, name="dotaznik_follow"),

    url(r'^ja-pirat/email-vizitka/$', views.email_vizitka, name="email_vizitka"),

    url(r'^person/(?P<id>[0-9]+)/$', people.person_detail, name="person_detail"),
    url(r'^person/(?P<id>[0-9]+)/edit$', people.person_edit, name="person_edit"),

    url(r'^people/list/$', people.confirmed, name="people_list"),
    url(r'^people/list/(?P<dist>[0-9]+)/$', people.confirmed, name="people_list"),
    url(r'^people/list-new/$', people.confirmed, name="people_list_new", kwargs={'newOnly':True}),
    url(r'^people/pending/$', people.pending, name="people_pending"),
    url(r'^people/update/$', people.update, name="people_update"),


    url(r'^stats/reg_counts/$', stats.reg_counts, name="stats_reg_counts"),


    url(r'^news/all/$', news.news_all, name="news_all"),
    url(r'^news/list/create/$', news.list_edit, name="news_list_create"),
    url(r'^news/list/edit/(?P<lid>[0-9]+)/$', news.list_edit, name="news_list_edit"),
    url(r'^news/list/(?P<lid>[0-9]+)/$', news.list_show, name="news_list_show"),
    url(r'^news/list/(?P<lid>[0-9]+)/recipients$', news.list_show_recipients, name="news_list_show_recipients"),

    url(r'^news/msg/(?P<mid>[0-9]+)/$', news.msg_show, name="news_msg_show"),
    url(r'^news/list/(?P<lid>[0-9]+)/msg_create/$', news.msg_edit, name="news_msg_create"),
    url(r'^news/list/(?P<lid>[0-9]+)/msg/(?P<mid>[0-9]+)/edit/$', news.msg_edit, name="news_msg_edit"),
    url(r'^news/msg/(?P<mid>[0-9]+)/block_create/$', news.block_edit, name="news_block_create"),
    url(r'^news/msg/(?P<mid>[0-9]+)/block/(?P<bid>[0-9]+)/edit/$', news.block_edit, name="news_block_edit"),
    url(r'^news/block/(?P<bid>[0-9]+)/delete/$', news.block_delete, name="news_block_delete"),

    url(r'^news/msg/(?P<id>[0-9]+)/preview/$', news.msg_preview, name="news_msg_preview"),
    url(r'^news/msg/(?P<id>[0-9]+)/send/$', news.msg_send, name="news_msg_send", kwargs={'realSend':True}),

]

